is_container_of_mpi_datatype< pair_set< T, A > >
Inheritance diagram for is_container_of_mpi_datatype< pair_set< T, A > >:

## Public Types

typedef std::conditional< boost::mpi::is_mpi_datatype< T >::value,std::true_type,std::false_type >::type | type

## Detailed Description

### template<class T, class A>
struct rheolef::is_container_of_mpi_datatype< pair_set< T, A > >

Definition at line 130 of file pair_set.h.

## Member Typedef Documentation

## type

typedef std::conditional< boost::mpi::is_mpi_datatype<T>::value ,std::true_type ,std::false_type>::type type

Definition at line 143 of file pair_set.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/pair_set.h